#ifndef ADSP_2191_HOST_PORT_BOOTING
	#define ADSP_2191_HOST_PORT_BOOTING

//--------------------------------------------------------------------------//
// Header files																//
//--------------------------------------------------------------------------//
#include <def2191.h>
#include <sysreg.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>

//--------------------------------------------------------------------------//
// Symbolic constants														//
//--------------------------------------------------------------------------//
// external connections to Target EZ-KIT and PLD board
#define RESET_PF	0x0001						// PF0 is RESET
#define ERROR_PF	0x0002						// PF1 is ERROR

//--------------------------------------------------------------------------//
// Prototypes																//
//--------------------------------------------------------------------------//
// in file "Initialisation.c"
void Init_Host(void);
void Init_PLD(void);

// in file "ISRs.c"
void FlagA_ISR(int iSignal);

// in file "Loader File Access.c"
void Open_Loader_File(void);
void Close_Loader_File(void);
unsigned int Read_Next_Loader_Value(void);

// in file "Boot Loader.c"
int Transfer_Loader_File(void);
int Start_Program_Execution(void);

// in file "Host Port Access.c"
void Init_Target(void);
unsigned int Get_PLD_Version(void);
void Write_Target_IO_Direct(const unsigned int ui_Address, const unsigned int ui_Value);
void Write_Target_DM_Direct(const unsigned int ui_Address, const unsigned int ui_Value);
void Write_Target_PM_Direct(const unsigned int ui_Address, const unsigned long ul_Value);
void Write_Target_DM_DMA(const unsigned int ui_Value);
void Write_Target_PM_DMA(const unsigned long ul_Value);
unsigned int Read_Target_IO_Direct(const unsigned int ui_Address);
unsigned int Read_Target_DM_Direct(const unsigned int ui_Address);
unsigned long Read_Target_PM_Direct(const unsigned int ui_Address);

#endif											// ADSP_2191_HOST_PORT_BOOTING

