#ifndef LOADER_FILE_ACCESS
	#define LOADER_FILE_ACCESS

#include "ADSP-2191 Host Port Booting.h"

//--------------------------------------------------------------------------//
// Symbolic constants														//
//--------------------------------------------------------------------------//
// external memory page of loader file in Flash (memory page seen from the Host);
// the page depends on the size of the Flash, the memory bank into which the Flash is mapped,
// and the external bus width;
// for this design, the Flash uses 19 address lines and is mapped into Bank 0, the bus width is
// 16 bit; that means the first available page that can be used is 0x08
#define LOADER_FILE_FLASH_PAGE		0x08
#define LOADER_FILE_FLASH_ADDRESS	0x0000

#endif											// LOADER_FILE_ACCESS

